//CCircle2dShader - [2020-04-13 11:57:46]
#ifndef _CCIRCLE2DSHADER_H_
#define _CCIRCLE2DSHADER_H_

#include "common.h"
#include "CFTTUberShader.h"

/*
001CF6DC CCircle2dShader::CCircle2dShader()
001CF6E8 CCircle2dShader::~CCircle2dShader()
001BE5E8 CCircle2dShader::SetFlipY(float)
001BE5FA CCircle2dShader::SetCentre(float const*)
001BE606 CCircle2dShader::SetInner(float)
001BE618 CCircle2dShader::SetOuter(float)
001BE62A CCircle2dShader::SetAngleMin(float)
001BE63C CCircle2dShader::SetAngleMax(float)
001CF6EC CCircle2dShader::CreateMat()
*/

class CCircle2dShader : public CFTTUberShader {
public:
  CCircle2dShader();             //001CF6DC
  ~CCircle2dShader();            //001CF6E8
  void SetFlipY(float);          //001BE5E8
  void SetCentre(float const*);  //001BE5FA
  void SetInner(float);          //001BE606
  void SetOuter(float);          //001BE618
  void SetAngleMin(float);       //001BE62A
  void SetAngleMax(float);       //001BE63C
  short CreateMat();             //001CF6EC

  static CCircle2dShader s_tInstance;
};

#endif  //_CCIRCLE2DSHADER_H_